Postman API Reference Overview
The Postman API enables you to programmatically access data stored in your Postman account.
Certain endpoints may be unavailable depending on your region and/or Postman plan.
For a comprehensive set of examples of requests and responses, see the Postman API collection.
Getting started
You can get started with the Postman API by creating a copy of this definition in your workspace.
EU users
For users in the EU with Enterprise plans, the Postman API uses the http://api.eu.postman.com subdomain. This is available in the definition’s list of servers. You can change this by selecting the http://api.eu.postman.com subdomain in the Server dropdown list below.
About the Postman API
- You must use a valid API Key to send requests to the API endpoints.
- The API has rate and usage limits.
- The API only responds to HTTPS-secured communications. Any requests sent via HTTP return an HTTP
301redirect to the corresponding HTTPS resources. - The API returns requests responses in JSON format.
- The request method (verb) determines the nature of action you intend to perform. A request made using the
GETmethod implies that you want to fetch something from Postman. ThePOSTmethod implies you want to save something new to Postman. - For all requests, API calls respond with their corresponding HTTP status codes. In the Postman client, the status code also provides help text that details the possible meaning of the response code.
IDs and UIDs
All items in Postman, such as collections, workspaces, and APIs, have IDs and UIDs:
- An ID is the unique ID assigned to a Postman item. For example,
ec29121c-5203-409f-9e84-e83ffc10f226. - The UID is the full ID of a Postman item. This value is the item’s unique ID concatenated with the user ID. For example, in the
12345678-ec29121c-5203-409f-9e84-e83ffc10f226UID:12345678is the user’s ID.ec29121c-5203-409f-9e84-e83ffc10f226is the item’s ID.
Enum values
Any documented enum values should be considered partial lists and may change over time.
403 response for unavailable features
Depending on your region and/or Postman plan, some endpoints will return an HTTP 403 Forbidden response with the “This feature isn’t available in your region.” detail.
503 response
An HTTP 503 Service Unavailable response from our servers indicates there is an unexpected spike in API access traffic. The server is usually operational within the next five minutes.
If the outage persists or you receive any other form of an HTTP 5XX error, contact support.
Authentication
Postman uses API keys for authentication. The API key tells the API server that the request came from you. Everything that you have access to in Postman is accessible with your API key. You can generate a Postman API key in the API keys section of your Postman account settings.
You must include an API key in each request to the Postman API with the X-API-Key request header. In Postman, you can store your API key as a vault secret or an environment variable. The Postman API collection will use it to make API calls.
SCIM authentication
While all other endpoints in this collection require a Postman API key, the SCIM endpoints require a SCIM API key.
Authentication error response
If an API key is missing, malformed, or invalid, you will receive an HTTP 401 Unauthorized response code.
Rate and usage limits
API access rate limits apply at a per-user basis in unit time. The limit is 300 requests per minute. Postman Monitors, as well as the GET /collections, GET /workspaces, and GET /workspaces/{id} endpoints have a rate limit of 10 calls in 10 seconds. Workspace updates endpoints have a rate limit of rate limit of 20 requests per minute per user. The POST /service-account-tokens endpoint has a rate limit of 10 requests per 10 second window per user.
Depending on your plan, you may also have usage limits. Every API response includes headers to help you identify the status of your use limits. For more information, see Track Postman API call limits.
When you reach your rate or usage limits, the API returns the following HTTP 429 Too Many Requests status code with one of the following error responses:
rateLimited— Rate limits reached. The response returns the time after which you can resume calls to the Postman API. The response header also includes theX-RateLimit-RetryAfterandRetry-Afterresponses when you go over your limit, which returns the seconds remaining until you can make another request.serviceLimitExhausted— Postman API service limits reached. You will need to contact your Postman Team Admin for assistance.
Support
For help regarding accessing the Postman API, you can:
- Visit Postman Support or our Community and Support sites.
- Reach out to the Postman community.
- Submit a help request to Postman support.